
%define major		5
%define libname		%mklibname audcore %{major}
%define majortag	3
%define libtag		%mklibname audtag %{majortag}
%define majorqt		2
%define libqt		%mklibname audqt %{majorqt}

Name:		audacious
Version:	4.3.1
Release:	%mkrel 1
Summary:	A versatile and handy media player
Summary(de):	Ein vielseitiger und handlicher Mediaplayer
License:	BSD
Group:		Sound
Url:		http://audacious-media-player.org/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{defaultbuildroot}
BuildRequires:	desktop-file-utils
BuildRequires:  libpthread-stubs
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5widgets-devel

Requires: lib64qt5core5

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

New features and improvements:
    Clicking on playlist column headers sorts the playlist (#8)
    Dragging playlist column headers changes the column order (#10)
    Application-wide settings for volume and time step sizes (#330)
    New option to hide playlist tabs (#547)
    Sorting playlist by path now sorts folders after files (#843)
    Implemented additional MPRIS calls for compatibility with KDE 5.16+ (#900)
    New OpenMPT-based tracker module plugin (contributed by Chris Spiegel)
    New VU Meter visualization plugin (contributed by Marc Sánchez)
    Added option to use a SOCKS network proxy (contributed by Róbert Čerňanský)
    The Song Change plugin now works on Windows (contributed by Domen Mori)
    New “Next Album” and “Previous Album” commands
    The tag editor in Qt UI can now edit multiple files at once
    Implemented equalizer presets window for Qt UI
    Lyrics plugin gained the ability to save and load lyrics locally
    Blur Scope and Spectrum Analyzer visualizations ported to Qt
    MIDI plugin soundfont selection ported to Qt
    JACK output plugin gained some new options
    Added option to endlessly loop PSF files
Bug fixes since 3.10.1:
    Fixed blurry application icon on Windows (#863)
    Cuesheet entries in an .m3u playlist are now added correctly (#878)
    Various minor fixes in handling of output stream
Other:
    Experimental support for building with meson


%description -l de
Audacious ist ein Mediaplayer der auf dem BMP Musikplayer basiert.
Seine Hauptziele sind Benutzerfreundlichkeit und die Nutzung von aktuellen
Desktopstandards.

%package devel
Group:		Development/Libraries
Summary:	Development package for Audacious
Requires:	%{name} = %{version}-%{release}

%description devel
Development package for Audacious

%description devel -l de
Entwicklungspaket für Audacious

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x \
	--enable-qt  \
	--enable-gtk \
	--disable-rpath \
	--with-buildstamp="%{_vendor} %{distro_release} package"

%make_build

%install
%__rm -rf %{buildroot}
%makeinstall_std

sd "SingleMainWindow=true" "" %{buildroot}/%{_datadir}/applications %{name}.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}/%{_datadir}/applications %{name}.desktop
%find_lang %{name}

%post
echo -e '\n  This package also needs the audacious-plugins package to work properly.\n'

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*
%{_libdir}/libaudcore.so.%{major}*
%{_libdir}/libaudgui.so.%{major}*
%{_libdir}/libaudtag.so.%{majortag}*
%{_libdir}/libaudqt.so.%{majorqt}*

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_includedir}/libaudqt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu May 04 2023 tex - 4.3.1-1pclos2023
- new version

* Tue Mar 28 2023 tex - 4.3-2pclos2023
- rebuild against updates

* Sat Mar 25 2023 tex - 4.3-1pclos2023
- new version

* Mon Jul 18 2022 tex - 4.2-1pclos2022
- new version

* Mon Mar 01 2021 tex - 4.1-2pclos2021
- phuck you xenaflux
- fix menu entries

* Tue Feb 09 2021 tex - 4.1-1pclos2021
- new version

* Sun Dec 20 2020 tex - 4.0.5-2pclos2021
- rebuild against updates

* Sat Jul 11 2020 tex - 4.0.5-1pclos2020
- new version

* Tue Jun 02 2020 tex - 4.0.4-1pclos2020
- new version

* Fri May 01 2020 tex - 4.0.3-1pclos2020
- new version

* Wed Apr 15 2020 tex - 4.0.2-1pclos2020
- new version

* Tue Apr 07 2020 tex - 4.0.1-1pclos2020
- new version

* Tue Mar 24 2020 onkelho <oh.quait at gmail.com> - 4.0-1pclos2020
- new version-release

* Sat May 18 2019 tex - 3.10.1-2pclos2019
- rebuild against updates

